﻿/*#region header/ame */
.ame-header {
    display: block;
    font-family: Montserrat;
    background-color: #ed005a;
    position: relative;
    padding: 5px 0;
    margin-bottom: 10px;
}

    .ame-header .ame-container-header {
        display: flex;
        justify-content: center;
        align-items: center;
    }

        .ame-header .ame-container-header .ame-logo {
            width: 160px;
        }

        .ame-header .ame-container-header .title-ame-header {
            color: #fff;
            margin-left: 30px;
            font-size: 31px;
            font-weight: 600;
            margin-right: 10px;
        }

            .ame-header .ame-container-header .title-ame-header span {
                color: #4c0578;
                font-weight: 800;
            }
    /*#endregion header ame*/

    /*#region contador header ame*/
    .ame-header .flipper {
        color: #333;
        display: flex;
        align-items: center;
        font-size: 45px !important;
        font-weight: 800;
        line-height: 100%;
        padding: 0;
        margin: 0;
        height: 1.7em;
    }

        .ame-header .flipper.flipper-invisible {
            font-size: 0px !important;
        }

    .ame-header .flipper-group {
        position: relative;
        white-space: nowrap;
        display: block;
        float: left;
        padding: 0;
        margin: 0;
    }

        .ame-header .flipper-group label {
            display: none;
            position: absolute;
            color: #fff;
            font-size: 20%;
            top: 100%;
            line-height: 1em;
            left: 50%;
            -webkit-transform: translate(-50%, 0);
            transform: translate(-50%, 0);
            text-align: center;
            padding-top: .5em;
        }

    .ame-header .flipper-digit {
        white-space: nowrap;
        position: relative;
        padding: 0;
        margin: 0;
        display: inline-block;
        float: left;
        height: 1.2em;
        overflow-y: hidden;
    }

        .ame-header .flipper-digit span {
            font-size: 25%;
        }

    .ame-header .flipper-delimiter {
        white-space: nowrap;
        display: block;
        float: left;
        padding: 0;
        margin: 0;
        color: #fff;
        min-width: .1em;
        white-space: nowrap;
        display: block;
        padding-top: 0.1em;
        padding-bottom: 0.1em;
        line-height: 1em;
    }

    .ame-header .digit-face {
        display: block;
        visibility: hidden;
        position: relative;
        border-radius: 0.1em;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 8;
        padding-top: 0.1em;
        padding-bottom: 0.1em;
        padding-left: 0.1em;
        padding-right: 0.1em;
        box-sizing: border-box;
        text-align: center;
    }

    .ame-header .digit-next {
        display: block;
        position: relative;
        border-radius: 0.1em;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 8;
        height: 1.2em;
        background: #fff;
        padding-top: 0.1em;
        padding-bottom: 0.1em;
        padding-left: 0.1em;
        padding-right: 0.1em;
        box-sizing: border-box;
        text-align: center;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }

    .ame-header .digit-top {
        z-index: 10;
        top: 0;
        left: 0;
        right: 0;
        height: 50%;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        pointer-events: none;
        overflow: hidden;
        position: absolute;
        background: #fff;
        padding-top: 0.1em;
        padding-bottom: 0;
        padding-left: 0.1em;
        padding-right: 0.1em;
        border-top-left-radius: 0.1em;
        border-top-right-radius: 0.1em;
        box-sizing: border-box;
        text-align: center;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        transition: background 0s linear, -webkit-transform 0s linear;
        transition: transform 0s linear, background 0s linear;
        transition: transform 0s linear, background 0s linear, -webkit-transform 0s linear;
        -webkit-transform-origin: 0 0.6em 0 !important;
        transform-origin: 0 0.6em 0 !important;
        -webkit-transform-style: preserve-3d !important;
        transform-style: preserve-3d !important;
        z-index: 20;
    }

        .ame-header .digit-top.r {
            transition: background 0.2s linear, -webkit-transform 0.2s linear;
            transition: transform 0.2s linear, background 0.2s linear;
            transition: transform 0.2s linear, background 0.2s linear, -webkit-transform 0.2s linear;
            -webkit-transform: rotateX(90deg);
            transform: rotateX(90deg);
            background: #cccccc;
        }

    .ame-header .digit-top2 {
        visibility: hidden;
        position: absolute;
        height: 50%;
        left: 0;
        right: 0;
        background: #cccccc;
        transition: -webkit-transform 0.2s linear;
        transition: transform 0.2s linear;
        transition: transform 0.2s linear, -webkit-transform 0.2s linear;
        line-height: 0em !important;
        top: 50% !important;
        bottom: auto !important;
        padding-top: 0;
        padding-bottom: 0.1em;
        padding-left: 0.1em;
        padding-right: 0.1em;
        border-bottom-left-radius: 0.1em;
        border-bottom-right-radius: 0.1em;
        overflow: hidden;
        text-align: center;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        transition: background 0s linear, -webkit-transform 0s linear;
        transition: transform 0s linear, background 0s linear;
        transition: transform 0s linear, background 0s linear, -webkit-transform 0s linear;
        -webkit-transform: rotateX(-90deg);
        transform: rotateX(-90deg);
        -webkit-transform-style: preserve-3d !important;
        transform-style: preserve-3d !important;
        -webkit-transform-origin: 0 0 0 !important;
        transform-origin: 0 0 0 !important;
        z-index: 20;
    }

        .ame-header .digit-top2.r {
            visibility: visible;
            transition: background 0.2s linear 0.2s, -webkit-transform 0.2s linear 0.2s;
            transition: transform 0.2s linear 0.2s, background 0.2s linear 0.2s;
            transition: transform 0.2s linear 0.2s, background 0.2s linear 0.2s, -webkit-transform 0.2s linear 0.2s;
            -webkit-transform: rotateX(0deg);
            transform: rotateX(0deg);
            background: #fff;
        }

    .ame-header .digit-bottom {
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        pointer-events: none;
        position: absolute;
        overflow: hidden;
        background: #fff;
        height: 50%;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 9;
        line-height: 0em;
        padding-top: 0;
        padding-bottom: 0.1em;
        padding-left: 0.1em;
        padding-right: 0.1em;
        border-bottom-left-radius: 0.1em;
        border-bottom-right-radius: 0.1em;
        box-sizing: border-box;
        text-align: center;
        transition: none;
    }

        .ame-header .digit-bottom.r {
            transition: background 0.2s linear;
            background: #cccccc;
        }

    .ame-header .flipper-digit:after {
        content: "";
        position: absolute;
        height: 2px;
        background: rgba(0, 0, 0, 0.5);
        top: 50%;
        display: block;
        z-index: 30;
        left: 0;
        right: 0;
    }

    .ame-header .flipper-dark {
        color: #fff;
    }

        .ame-header .flipper-dark .flipper-delimiter {
            color: #333;
        }

        .ame-header .flipper-dark .digit-next {
            background: #333;
        }

        .ame-header .flipper-dark .digit-top {
            background: #333;
        }

            .ame-header .flipper-dark .digit-top.r {
                background: black;
            }

        .ame-header .flipper-dark .digit-top2 {
            background: black;
        }

            .ame-header .flipper-dark .digit-top2.r {
                background: #333;
            }

        .ame-header .flipper-dark .digit-bottom {
            background: #333;
        }

    .ame-header .flipper-dark-labels .flipper-group label {
        color: #333;
    }

@media (max-width: 575px) {
    .ame-header .ame-container-header {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
    }

    .ame-header .flipper {
        font-size: 18px !important;
        justify-content: center !important;
    }

    .ame-header .ame-container-header .ame-logo {
        width: 100px;
        margin: 0 auto;
    }

    .ame-header .ame-container-header .title-ame-header {
        font-size: 15px;
        line-height: 1;
        text-align: center;
        margin: 0 auto;
    }
}

@media only screen and (min-width: 280px) and (max-width: 319px) {
    .ame-header .ame-container-header .ame-logo {
        width: 70px;
    }

    .ame-header .ame-container-header .title-ame-header {
        font-size: 12px;
    }

    .ame-header .flipper {
        font-size: 13px !important;
    }
}

@media only screen and (min-width: 320px) and (max-width: 359px) {
    .ame-header .ame-container-header .ame-logo {
        width: 70px;
    }

    .ame-header .ame-container-header .title-ame-header {
        font-size: 13px;
    }

    .ame-header .flipper {
        font-size: 15px !important;
    }
}

@media only screen and (min-width: 576px) and (max-width: 767px) {
    .ame-header .ame-container-header .title-ame-header {
        font-size: 24px;
        line-height: 1;
        max-width: 233px;
        text-align: center;
    }

    .ame-header .flipper {
        font-size: 33px !important;
        justify-content: center !important;
    }

    .ame-header .ame-container-header .ame-logo {
        width: 110px;
    }
}

@media only screen and (min-width: 768px) and (max-width: 800px) {
    .ame-header .ame-container-header .title-ame-header {
        font-size: 24px;
        line-height: 1;
        max-width: 233px;
        text-align: center;
    }

    .ame-header .flipper {
        font-size: 33px !important;
    }

    .ame-header .ame-container-header .ame-logo {
        width: 110px;
    }
}

@media only screen and (min-width: 800px) and (max-width: 959px) {
    .ame-header .ame-container-header .ame-logo {
        width: 125px;
    }

    .ame-header .ame-container-header .title-ame-header {
        font-size: 25px;
    }

    .ame-header .flipper {
        font-size: 35px !important;
    }
}

@media only screen and (min-width: 960px) and (max-width: 1140px) {
    .ame-header .ame-container-header .title-ame-header {
        font-size: 25px;
    }
}

@media only screen and (min-width: 820px) and (max-width: 820px) {
    .ame-header .flipper {
        font-size: 33px !important;
    }

    .ame-header .ame-container-header .title-ame-header {
        font-size: 25px;
    }
}

@media only screen and (min-width: 540px) and (max-width: 540px) {
    .ame-header .flipper {
        justify-content: center;
    }
}
/*#endregion contador header ame*/
